Freeciv-3.2: mapdef Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
mapdef Struct Reference

## Data Fields

char | maparg [MAX_LEN_MAPARG]
char | error [MAX_LEN_MAPDEF]
enum mapimg_status | status
enum imageformat | format
enum imagetool | tool
int | zoom
int | turns
bool | layers [MAPIMG_LAYER_COUNT]
struct { |
enum show_player show |
union { |
char name [MAX_LEN_NAME] |
int id |
bv_player plrbv |
} |  |
bv_player checked_plrbv |
} | player |
bv_mapdef_arg | args
bool | colortest

## Detailed Description

Definition at line 320 of file mapimg.c.

## Field Documentation

## ◆ args

bv_mapdef_arg mapdef::args

Definition at line 340 of file mapimg.c.

## ◆ checked_plrbv

bv_player mapdef::checked_plrbv

Definition at line 336 of file mapimg.c.

## ◆ colortest

bool mapdef::colortest

Definition at line 341 of file mapimg.c.

Referenced by mapdef_new().

## ◆ error

char mapdef::error[MAX_LEN_MAPDEF]

Definition at line 322 of file mapimg.c.

Referenced by mapimg_define_arg().

## ◆ format

enum imageformat mapdef::format

Definition at line 324 of file mapimg.c.

Referenced by mapimg_colortest(), and mapimg_define_arg().

## ◆ id

int mapdef::id

Definition at line 333 of file mapimg.c.

## ◆ layers

bool mapdef::layers[MAPIMG_LAYER_COUNT]

Definition at line 328 of file mapimg.c.

## ◆ maparg

char mapdef::maparg[MAX_LEN_MAPARG]

Definition at line 321 of file mapimg.c.

Referenced by mapimg_define().

## ◆ name

char mapdef::name[MAX_LEN_NAME]

Definition at line 332 of file mapimg.c.

## ◆ [struct]

struct { ... } mapdef::player

## ◆ plrbv

bv_player mapdef::plrbv

Definition at line 334 of file mapimg.c.

## ◆ show

enum show_player mapdef::show

Definition at line 330 of file mapimg.c.

## ◆ status

enum mapimg_status mapdef::status

Definition at line 323 of file mapimg.c.

## ◆ tool

enum imagetool mapdef::tool

Definition at line 325 of file mapimg.c.

Referenced by mapimg_colortest(), and mapimg_define_arg().

## ◆ turns

int mapdef::turns

Definition at line 327 of file mapimg.c.

## ◆ zoom

int mapdef::zoom

Definition at line 326 of file mapimg.c.